Bug 136067 - hangs at startup just displaying egg timer on a black background
hangs at startup just displaying egg timer on a black background
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 07:48 EDT by David Bentley
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-24 13:36:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Bentley 2004-10-17 07:48:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Having changed the default screen resolution at first boot from 800 x
600 with 16 bit colour depth to 1024 x 768 at 32 bit colour depth when
you should see the login screen all you get is a black background with
the spining egg timer.

This is similar to the problem experianced in FC2 with the same
hardware and the work around for that was to comment out "LOAD DRI" in
the xorg.conf file.

This also works for FC3 test 3 but I was hoping this may have been
fixed  by now it was allegedly not to do with gnome session but with
XORG anyway I am fileing it against gnome session as this is where the
hang occurs.

NB this bug reportedly went away in core 2 with new versions of both
Xorg and a new kernel but it was still apparent when I tested before
replacing the core 2 instalation with core 3 test 3

NOTE also that this problem was not apparent in core 3 test 1 or 2 on
a differnt machine (nvidia graphics card so no load DRI sttement in
xorg.conf anway as 3D acceleration is unsupported anyway)so it is
probably an Xorg/Matrox driver problem please reassign it to Xorg if
appropriate.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Install as normal but on first boot don't except the default
resolution and colour depth (800x600 16bit) but change to 1024x768
32bit. To get a usable system at this point I pressed CTL-ALT-BS and
then CTL-ALT-F1 toget to a text console and edited xorg.conf and
re-booted the machine.

If you install but accept the default resolution and colour depth all
is ok until I tried running TUX RACER to test the 3D accelleration
support and at that point all you get is a blank screen with music
playing and no way out but to go for a reset.

So at this point on the next boot after checking the file system as
advised I edited xorg.conf commenting the "LOAD DRI" line and then
changed the resolution and colour depth to 1024x768 in 32 bit and on
reboot all was OK

Actual Results:  Hangs as described above

Expected Results:  display of the logon screen

Additional info:

The hardware in use is an ASUS P5A with a 1007A bios with 384 meg of
ram and an AMD K6 III running at 450 meg the graphics card is a Matrox
Millenium G400 dual head with 32 meg of ram and the monitor that the
PC is attached to is a Mitsubishi Diamond Plus 72 (TFV8705)
Comment 1 Ray Strode [halfline] 2005-09-09 14:49:58 EDT
Hi,

Do you still see this with FC4 or rawhide?

Can you move the egg timer around, or is it frozen solid?
Comment 2 David Bentley 2005-11-24 13:36:36 EST
No all OK now in FC4 and RAWHIDE so I will close this bug.

Note You need to log in before you can comment on or make changes to this bug.